C#
// DELETE /v1/users/{user_id}
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
};
client.Users.Delete(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/users/{user_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/users"
)
func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &users.DeleteParams{
UserID: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
}
resp, err := client.Users.Delete(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// DELETE /v1/users/{user_id}
package com.example;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.users.DeleteRequest;
import com.stytch.java.consumer.StytchClient;
public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");
DeleteRequest params = new DeleteRequest();
params.setUserId("user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6");
Object result = StytchClient.getUsers().delete(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/users/{user_id}
package com.example
import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.users.DeleteRequest
fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchClient.users.delete(
DeleteRequest(
userId = "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// DELETE /v1/users/{user_id}
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
};
client.users.delete(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->users->delete([
'user_id' => 'user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6',
]);# DELETE /v1/users/{user_id}
from stytch import Client
client = Client(
project_id="${projectId}",
secret="${secret}",
)
resp = client.users.delete(
user_id="user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
)
print(resp)
# frozen_string_literal: true
# DELETE /v1/users/{user_id}
require 'stytch'
client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.users.delete(
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6"
)
puts resp// DELETE /v1/users/{user_id}
use stytch::consumer::client::Client;
use stytch::consumer::users::DeleteRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.users.delete(
DeleteRequest{
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/users/{user_id}
curl --request DELETE \
--url https://test.stytch.com/v1/users/user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json'{
"request_id": "<string>",
"user_id": "<string>",
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Delete
Delete User
Delete a User from Stytch.
DELETE
/
v1
/
users
/
{user_id}
C#
// DELETE /v1/users/{user_id}
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
};
client.Users.Delete(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/users/{user_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/users"
)
func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &users.DeleteParams{
UserID: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
}
resp, err := client.Users.Delete(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// DELETE /v1/users/{user_id}
package com.example;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.users.DeleteRequest;
import com.stytch.java.consumer.StytchClient;
public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");
DeleteRequest params = new DeleteRequest();
params.setUserId("user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6");
Object result = StytchClient.getUsers().delete(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/users/{user_id}
package com.example
import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.users.DeleteRequest
fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchClient.users.delete(
DeleteRequest(
userId = "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// DELETE /v1/users/{user_id}
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
};
client.users.delete(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->users->delete([
'user_id' => 'user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6',
]);# DELETE /v1/users/{user_id}
from stytch import Client
client = Client(
project_id="${projectId}",
secret="${secret}",
)
resp = client.users.delete(
user_id="user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
)
print(resp)
# frozen_string_literal: true
# DELETE /v1/users/{user_id}
require 'stytch'
client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.users.delete(
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6"
)
puts resp// DELETE /v1/users/{user_id}
use stytch::consumer::client::Client;
use stytch::consumer::users::DeleteRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.users.delete(
DeleteRequest{
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/users/{user_id}
curl --request DELETE \
--url https://test.stytch.com/v1/users/user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json'{
"request_id": "<string>",
"user_id": "<string>",
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Authorizations
Path Parameters
Response
Successful response